Subject: Re: bug#16566: closed (Re: bug#16566: Parted off-by-one error when using "-a none" or "-a min")

From: Марк Коренберг <[email-masked]>
Date: Fri, 31 Jan 2014 11:47:36 +0600

Sorry, I have checked in Gentoo. This bug was already fixed. How I can
find when it was fixed (version, commit...)?

2014-01-31 GNU bug Tracking System <[email-masked]>:
> Your bug report
>
> #16566: Parted off-by-one error when using "-a none" or "-a min"
>
> which was filed against the parted package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 16566: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=16566
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
> ---------- Пересылаемое сообщение ----------
> From: Phillip Susi <[email-masked]>
> To: "Марк Коренберг" <[email-masked]>, [email-masked]
> Cc:
> Date: Thu, 30 Jan 2014 14:36:24 -0500
> Subject: Re: bug#16566: Parted off-by-one error when using "-a none" or "-a min"
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> On 1/27/2014 3:27 AM, Марк Коренберг wrote:
>> GNU Parted 2.1
>
> Parted 2.1 is 5 releases and over 4 years old, please upgrade.
>
>
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v2.0.17 (MingW32)
> Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/
>
> iQEcBAEBAgAGBQJS6qm4AAoJEI5FoCIzSKrwKhgH/jKrKfkYZ4m7GLLkTvcSkgdw
> qIde+DSRNk12Nz6AasXDCfWJyo6hh/7XigaAMxJNuzoBZ/D7x6MKsNKxHlSvdH3q
> 4utCy1UXZ5phob+kWF33J52v/AMXcGulA1VgiCBarFaALPF0k6ax3G21c0sJ9HUi
> CdVWKv1zx5TxTwwgilDOUfIRHSMs5+CZdihD5JePOIaZU2HGA6XeTMA9U7Gi+mDZ
> Oa54CX3we049IYSjynGur1izS0mcZ6ZZ2QkOJeakle51Dq5qmyXmiJ32aUfO/lmE
> w/rV9DMstKZWF/SJrbA4Amx+YXw9EB5Zb13Cz+sOfHKZX+uO0v/ovkpT7T5V68E=
> =ndYm
> -----END PGP SIGNATURE-----
>
>
>
> ---------- Пересылаемое сообщение ----------
> From: "Марк Коренберг" <[email-masked]>
> To: [email-masked]
> Cc:
> Date: Mon, 27 Jan 2014 14:27:02 +0600
> Subject: Parted off-by-one error when using "-a none" or "-a min"
> ===================================
> # LANG=C parted -a none /dev/loop0
> GNU Parted 2.1
> Using /dev/loop0
> Welcome to GNU Parted! Type 'help' to view a list of commands.
> (parted) u s
> (parted) mkpart primary 1MiB 1GiB
> (parted) p
> Model:  (file)
> Disk /dev/loop0: 41943040s
> Sector size (logical/physical): 512B/512B
> Partition Table: msdos
>
> Number  Start  End       Size      Type     File system  Flags
>  1      2048s  2097152s  2095105s  primary
> (parted)
> ===================================
> # LANG=C parted -a opt /dev/loop0
> GNU Parted 2.1
> Using /dev/loop0
> Welcome to GNU Parted! Type 'help' to view a list of commands.
> (parted) u s
> (parted) mkpart primary 1MiB 1GiB
> (parted) p
> Model:  (file)
> Disk /dev/loop0: 41943040s
> Sector size (logical/physical): 512B/512B
> Partition Table: msdos
>
> Number  Start  End       Size      Type     File system  Flags
>  1      2048s  2097151s  2095104s  primary
> (parted)
> =======================================
>
> So, I guess, for losetup device, Parted aligns to the border of the
> page (4096 bytes)
>
> To make things easier, PLEASE interpret "END" parameter of mkpart
> command as offset of the END of last accessible sector of this
> partition. Today Parted interprets this parameter as offset of
> BEGINNIG of last accessible sector in this partiton.
>
>
> I think i'm not first who mention this behaviour. Please point me to
> bug/documentation so.
>
>
> --
> Segmentation fault
>
>
>

-- 
Segmentation fault